Custom GPTs auflisten
Gibt alle aktiven Custom GPTs für den authentifizierten Workspace zurück — Enterprise-weit oder die privaten Custom GPTs des Nutzers, wenn der Workspace kein Enterprise hat. Die Ergebnisse werden bei Bedarf nach den Custom-GPT-Berechtigungen des API-Keys gefiltert.
GET
https://api.deutschlandgpt.de/v2/custom-gptsBeispielaufruf
curl https://api.deutschlandgpt.de/v2/custom-gpts \
-X GET \
-H "Authorization: Bearer $DGPT_API_KEY"curl https://api.deutschlandgpt.de/v2/custom-gpts \
-X GET \
-H "Authorization: Bearer $DGPT_API_KEY"import os, requests
response = requests.get(
"https://api.deutschlandgpt.de/v2/custom-gpts",
headers={"Authorization": f"Bearer {os.environ['DGPT_API_KEY']}"},
)
print(response.json())import os, requests
response = requests.get(
"https://api.deutschlandgpt.de/v2/custom-gpts",
headers={"Authorization": f"Bearer {os.environ['DGPT_API_KEY']}"},
)
print(response.json())const response = await fetch('https://api.deutschlandgpt.de/v2/custom-gpts', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.DGPT_API_KEY}`,
},
});
console.log(await response.json());const response = await fetch('https://api.deutschlandgpt.de/v2/custom-gpts', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.DGPT_API_KEY}`,
},
});
console.log(await response.json());Antwort
200application/json
{
"object": "list",
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"description": "string",
"instructions": "string",
"conversationStarters": "string",
"metadata": {
"files": [
null
],
"webBrowsing": {
"enabled": null
},
"imageGeneration": {
"enabled": null
},
"codeInterpreter": {
"enabled": null
}
},
"accessLevel": "string",
"promptSuggestions": [
"string"
],
"modelId": "00000000-0000-0000-0000-000000000000",
"createdAt": "2025-01-01T00:00:00Z"
}
]
}{
"object": "list",
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"description": "string",
"instructions": "string",
"conversationStarters": "string",
"metadata": {
"files": [
null
],
"webBrowsing": {
"enabled": null
},
"imageGeneration": {
"enabled": null
},
"codeInterpreter": {
"enabled": null
}
},
"accessLevel": "string",
"promptSuggestions": [
"string"
],
"modelId": "00000000-0000-0000-0000-000000000000",
"createdAt": "2025-01-01T00:00:00Z"
}
]
}Liste der Custom GPTs
objectstringdataCustomGpt[]idstring<uuid>namestringdescriptionstring | nullinstructionsstring | nullconversationStartersstring | nullmetadataCustomGptMetadatafilesobject[]webBrowsingobjectimageGenerationobjectcodeInterpreterobjectaccessLevelstringpromptSuggestionsstring[]modelIdstring<uuid> | nullcreatedAtstring<date-time>Statuscodes
200
Liste der Custom GPTs
object401
Nicht autorisiert
War diese Seite hilfreich?